
<app-game-board
  [enviroment]="enviroment"
  *ngIf="status == 'game'"></app-game-board>

<app-control-panel
  *ngIf="status == 'game'"
  [gameData]="gameData"
  [enviroment]="enviroment"
  (clickButtonRestar)="statusConfigurations()"></app-control-panel>

<app-home 
  *ngIf="status == 'configuration'"
  [enviroment]="enviroment"
  (clickPlayGame)="statusGamePlay()"></app-home>